Subject: Re: bug#54437: 28.0.92; command-modes returns nil for native compiled functions

From: Andrea Corallo <[email-masked]>
Date: Sat, 19 Mar 2022 17:54:59 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Date: Sat, 19 Mar 2022 15:13:07 +0100
>> Cc: [email-masked]
>> 
>> Lars Ingebrigtsen <[email-masked]> writes:
>> 
>> > Hm.  I tried that now, and I can now reproduce the problem.  Weird.
>> > I'll debug further.
>> 
>> I've now pushed a fix for this to Emacs 29.  A less invasive fix for
>> Emacs 28 might be nice, but I couldn't think of one, so I think we might
>> just have to say that command-modes + nativecomp just doesn't work in
>> Emacs 28.1.
>
> Thanks.
>
> Andrea, any thoughts?

Just had a look, the fix LGTM (thanks Lars!).

I just have a question for Lars, couldn't we just use and hash table to
map function-name -> modes?  Maybe this way the fix would be
considerably less invasive?

Thanks

  Andrea